#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 assoc
version:              1.1
visibility:           public
id:                   assoc-1.1-J1BhG7wmpGsC9RLVbLtY5Q
key:                  assoc-1.1-J1BhG7wmpGsC9RLVbLtY5Q
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             swap and assoc: Symmetric and Semigroupy Bifunctors
description:
    Provides generalisations of
    @swap :: (a,b) -> (b,a)@ and
    @assoc :: ((a,b),c) -> (a,(b,c))@
    to
    @Bifunctor@s supporting similar operations (e.g. @Either@, @These@).

category:             Data
abi:                  334bc4eeb69d9e9b45b4480f0f7bc1af
exposed:              True
exposed-modules:      Data.Bifunctor.Assoc Data.Bifunctor.Swap
import-dirs:          /usr/lib/ghc-9.8.2/site-local/assoc-1.1
library-dirs:         /usr/lib/ghc-9.8.2/site-local/assoc-1.1
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/assoc-1.1
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/assoc-1.1
hs-libraries:         HSassoc-1.1-J1BhG7wmpGsC9RLVbLtY5Q
depends:
    base-4.19.1.0-inplace tagged-0.8.8-JGlGh2qwg4dHU2Nz3aNqAk

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/assoc-1.1/html/assoc.haddock

haddock-html:         /usr/share/doc/x86_64-linux-ghc-9.8.2/assoc-1.1/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

